.NET 3.5 SP1 is Now Available on the ECE Site for XPe SP3

.NET 3.5 SP1 is Now Available on the ECE Site for XPe SP3

  • Comments 9

Microsoft .NET Framework 3.5 SP1 for Windows® XP Embedded Service Pack 3 is now available on the ECE. This update should not be used with any other operating system.

On March 25, 2010 Microsoft announced a revised policy around support for .Net framework 3.5 SP1. With that change the support for .Net Framework 3.0 and 3.5 ends on April 12, 2011 - customers are strongly recommended to migrate to .Net Framework 3.5 SP1 before that date.

To maintain support for embedded customers after the end-of-life for existing components, the Windows Embedded support policy has been changed to allow .Net Framework 3.5 SP1 support for Windows XP Embedded SP3 and Windows Embedded for Point of Service 1.1 SP3.

Additional Information:

The .NET Framework is Microsoft's comprehensive and consistent programming model for building applications that have visually stunning user experiences, seamless and secure communication, and the ability to model a range of business processes.

.NET Framework 3.5 Service Pack 1 is a full cumulative update that contains many new features building incrementally upon .NET Framework 2.0, 3.0, 3.5, and includes cumulative servicing updates to the .NET Framework 2.0 and .NET Framework 3.0 subcomponents.
.NET Framework 3.5 Service Pack 1 for Windows Embedded Standard 2009 is a setup component that includes the .NET Framework 3.5 Service Pack 1 installer and its required dependencies.

- Lynda

Technorati Tags: ,
  • Ah, finally! Will this also hapen with Internet Explorer 8 on XPE as well?

  • After building the image with new .NET Framework 3.5 SP1 Setup component, it looks like no .NET Framework is installed.

  • Hi, i need install the .NET Framework 3.5 SP1 on a XPE SP3. I am trying to download the file from the current website but I do not know how to get the necessary login and password . Could anyone tell me how to get a login?

    Thanks in advance

  • Hmmm... installing the .NET 3.5 SP1 component doesn't seem to work on XPE. I've got the same problem as Leonid. Idea anyone?

  • Hi KRELER - Have you ensured that after you added the .NET 3.5 SP1 Component, you also modified the settings to Install on FBA?

    After adding the .NET Framework 3.5 SP1 component in Target Designer, open the component Settings and select the "Install .NET Framework 3.5 SP1 Install Package during FBA" option.

    Hope this resolves your issue.

  • Hi Gina, I did, but that didn't work! I think it interupst installation during FBA somehow as FW 2.0 is installed after finishing FBA (Which I didn't include as component off course!) If I try installer c:\windows\DotNetFX35SP1.exe aftwerwards, it returns with error "XPSEPSC Installer" not installed? if I rebuild image with .NET 3.5 (previous version) it runs without a problem.... any idea? Many thanks!

  • KRELER - are you resolving dependencies after you have added the .Net 3.5 SP1 component in Target Designer?  Please do so to ensure you are including all components required due to dependencies of the components you choose.

    The Help content for the .Net 3.5 SP1 component may also have some helpful information. You can find that here:

    msdn.microsoft.com/.../ee832739(v=WinEmbedded.51).aspx

  • Gina, thank you. Yes, I checked dependencies (I am experienced wit making XPE images) Unfortunately no result. Is it correct you can't have .NET 3.5 SP1 Setup and .NET 3.5 Client Profile Setup in the same configuration? .NET 3.5 SP1 gives XPSEPSC error, but XPSEPSC is included in .NET 3.5 Client Profile only.

    How can I check afterwards if .NET 3.5 SP1 is installed?

  • Hi Gina, have to admit, that on another hardware platform (i7 with hdd) same XPE image with .NET 3.5 SP1 is working correctly! So probably something goed wrong on original target system (Vortex86DX with CF) during FBA from CF I gues... So currently I will deploy image on the other system, then reseal, and transfer to the target system...

Page 1 of 1 (9 items)
Leave a Comment
  • Please add 2 and 3 and type the answer here:
  • Post